VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::DeleteFirewallRule Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::DeleteFirewallRule:

## Avaliable Methods
public method | set_position ()
public method | set_all ()
public method | new ()
public method | get_all ()
public method | get_position ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::DeleteFirewallRule` class* Structure that defines networking.firewall.addr.inbound.delete api input argument

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::DeleteFirewallRule::get_all | ( |  | ) |

Gets the value of 'all' property.

Return values

  all | - The current value of the field. Delete all firewall rules. Set all argument to "true" to delete all rules or set the all argument to "false" to delete a single rule. boolean#

Code:
click to view
# Number of lines of code in get_all: 4
sub get_all {
my ($self, %args) = @_;
return $self->{'all'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::DeleteFirewallRule::get_position | ( |  | ) |

Gets the value of 'position' property.

Return values

  position | - The current value of the field. Position before which to insert the rule (zero-based). If you try to insert the rule in a position whose number is greater than the number of rules, the firewall rule is inserted at the end of the list. long#

Code:
click to view
# Number of lines of code in get_position: 4
sub get_position {
my ($self, %args) = @_;
return $self->{'position'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::DeleteFirewallRule::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::DeleteFirewallRule structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{position} = $args{'position'};
$self->{all} = $args{'all'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::DeleteFirewallRule');
$self->set_binding_name('name' => 'com.vmware.appliance.techpreview.networking.firewall.addr.inbound.delete_firewall_rule');
$self->set_binding_field('key' => 'position', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'all', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::DeleteFirewallRule::set_all | ( |  | ) |

Sets the given value for 'all' property.

Parameters

  all | - New value for the field. Delete all firewall rules. Set all argument to "true" to delete all rules or set the all argument to "false" to delete a single rule.

Code:
click to view
# Number of lines of code in set_all: 5
sub set_all {
my ($self, %args) = @_;
$self->{'all'} = $args{'all'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Firewall::Addr::Inbound::DeleteFirewallRule::set_position | ( |  | ) |

Sets the given value for 'position' property.

Parameters

  position | - New value for the field. Position before which to insert the rule (zero-based). If you try to insert the rule in a position whose number is greater than the number of rules, the firewall rule is inserted at the end of the list.

Code:
click to view
# Number of lines of code in set_position: 5
sub set_position {
my ($self, %args) = @_;
$self->{'position'} = $args{'position'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Networking/Firewall/Addr/Inbound.pm